From 35ccfa3267bf1434ebd5a93f72053356cc6ea1e3 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Fri, 2 Mar 2012 11:14:47 -0500
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    3 ---
 debian/changelog                                   |    8 ++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 ++--
 debian/patches/00list                              |    1 -
 ...1_fix_prototyp.dpatch => 01_fix_prototyp.patch} |    7 ++-----
 debian/patches/series                              |    1 +
 debian/rules                                       |    5 ++---
 debian/source/format                               |    2 +-
 9 files changed, 17 insertions(+), 16 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01_fix_prototyp.dpatch => 01_fix_prototyp.patch} (69%)
 create mode 100644 debian/patches/series

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index f0fe49a..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,3 +0,0 @@
-We use dpatch for patch handling inside our package(s).  Please see
-/usr/share/doc/dpatch/README.source.gz (if you have installed dpatch) for
-documentation about dpatch.
diff --git a/debian/changelog b/debian/changelog
index 0a1b2b0..1659a20 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+dns-flood-detector (1.12-6.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Fri, 02 Mar 2012 11:14:02 -0500
+
 dns-flood-detector (1.12-6) unstable; urgency=low
 
   * Add "Copyright" to all copyrights in debian/copyright
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 9f9ff6d..e14842a 100644
--- a/debian/control
+++ b/debian/control
@@ -2,11 +2,11 @@ Source: dns-flood-detector
 Section: net
 Priority: optional
 Maintainer: Jan Wagner <waja@cyconet.org>
-Build-Depends: debhelper (>= 5), dpatch, libpcap0.8-dev
+Build-Depends: debhelper (>= 9), libpcap0.8-dev
 Homepage: http://www.adotout.com/
 Vcs-Browser: https://scm.uncompleted.org/projects/debian/repository/show/dns-flood-detector
 Vcs-Svn: https://scm.uncompleted.org/svn/debian/dns-flood-detector
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 
 Package: dns-flood-detector
 Architecture: any
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 3220968..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1 +0,0 @@
-01_fix_prototyp.dpatch
diff --git a/debian/patches/01_fix_prototyp.dpatch b/debian/patches/01_fix_prototyp.patch
similarity index 69%
rename from debian/patches/01_fix_prototyp.dpatch
rename to debian/patches/01_fix_prototyp.patch
index d6b7390..653856d 100644
--- a/debian/patches/01_fix_prototyp.dpatch
+++ b/debian/patches/01_fix_prototyp.patch
@@ -1,9 +1,6 @@
-#!/bin/sh /usr/share/dpatch/dpatch-run
-## 01_fix_prototyp.dpatch by dann frazier <dannf@debian.org>
-##
-## DP: fix missing function prototype definition 
+From: dann frazier <dannf@debian.org>
+Subject: fix missing function prototype definition 
 
-@DPATCH@
 
 --- dns-flood-detector-1.10/dns_flood_detector.c~       2003-12-29 20:53:38.000000000 -0700
 +++ dns-flood-detector-1.10/dns_flood_detector.c        2006-11-18 17:38:47.000000000 -0700
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..61c33c4
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+01_fix_prototyp.patch
diff --git a/debian/rules b/debian/rules
index 8ead083..314dee4 100755
--- a/debian/rules
+++ b/debian/rules
@@ -4,7 +4,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpatch/dpatch.make
 
 CFLAGS += -D_BSD_SOURCE -Wall -g
 LDLIBS += -lpcap -lpthread -lm
@@ -16,14 +15,14 @@ else
 endif
 
 build: build-stamp
-build-stamp: patch-stamp
+build-stamp:
 	dh_testdir
 	# Add here commands to compile the package.
 	$(CC) $(CFLAGS) dns_flood_detector.c $(LDLIBS) -o dns_flood_detector
 
 	touch $@
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
diff --git a/debian/source/format b/debian/source/format
index d3827e7..163aaf8 100644
--- a/debian/source/format
+++ b/debian/source/format
@@ -1 +1 @@
-1.0
+3.0 (quilt)
-- 
1.7.9

